> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Get Documents Next/Prev

POST https://api.staple.io/v1/documents/nextPrev
Content-Type: application/json

Get the doc IDs of the previous and next documents in the queue.

Reference: https://docs.staple.ai/api-reference/v1/documents/get-documents-next-prev

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v1
  version: 1.0.0
paths:
  /v1/documents/nextPrev:
    post:
      operationId: getDocumentsNextPrev
      summary: Get Documents Next/Prev
      description: Get the doc IDs of the previous and next documents in the queue.
      tags:
        - documents
      parameters:
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Documents_getDocumentsNextPrev_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  $ref: >-
                    #/components/schemas/V1DocumentsNextPrevPostRequestBodyContentApplicationJsonSchemaFilter
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    V1DocumentsNextPrevPostRequestBodyContentApplicationJsonSchemaFilter:
      type: object
      properties:
        qid:
          type: integer
        currentId:
          type: integer
        status:
          type: string
      title: V1DocumentsNextPrevPostRequestBodyContentApplicationJsonSchemaFilter
    Documents_getDocumentsNextPrev_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Documents_getDocumentsNextPrev_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples

### Get Documents Next/Prev



**Request**

```json
undefined
```

**Response**

```json
{
  "nextPrevDocuments": {
    "currentId": 1,
    "currentIndex": 2,
    "nextId": 11,
    "prevId": 9,
    "qid": 1,
    "status": "REVIEWED",
    "total": 24
  }
}
```

**SDK Code**

```python Get Documents Next/Prev
import requests

url = "https://api.staple.io/v1/documents/nextPrev"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Get Documents Next/Prev
const url = 'https://api.staple.io/v1/documents/nextPrev';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Documents Next/Prev
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/documents/nextPrev"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Documents Next/Prev
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/documents/nextPrev")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Get Documents Next/Prev
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.staple.io/v1/documents/nextPrev")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Get Documents Next/Prev
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.staple.io/v1/documents/nextPrev', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Get Documents Next/Prev
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/documents/nextPrev");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Get Documents Next/Prev
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/documents/nextPrev")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Documents_getDocumentsNextPrev_example



**Request**

```json
{
  "filter": {
    "qid": 1,
    "currentId": 10,
    "status": "REVIEWED"
  }
}
```

**Response**

```json
{
  "nextPrevDocuments": {
    "currentId": 1,
    "currentIndex": 2,
    "nextId": 11,
    "prevId": 9,
    "qid": 1,
    "status": "REVIEWED",
    "total": 24
  }
}
```

**SDK Code**

```python Documents_getDocumentsNextPrev_example
import requests

url = "https://api.staple.io/v1/documents/nextPrev"

payload = { "filter": {
        "qid": 1,
        "currentId": 10,
        "status": "REVIEWED"
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Documents_getDocumentsNextPrev_example
const url = 'https://api.staple.io/v1/documents/nextPrev';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"filter":{"qid":1,"currentId":10,"status":"REVIEWED"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Documents_getDocumentsNextPrev_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v1/documents/nextPrev"

	payload := strings.NewReader("{\n  \"filter\": {\n    \"qid\": 1,\n    \"currentId\": 10,\n    \"status\": \"REVIEWED\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Documents_getDocumentsNextPrev_example
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v1/documents/nextPrev")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"filter\": {\n    \"qid\": 1,\n    \"currentId\": 10,\n    \"status\": \"REVIEWED\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Documents_getDocumentsNextPrev_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.staple.io/v1/documents/nextPrev")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"filter\": {\n    \"qid\": 1,\n    \"currentId\": 10,\n    \"status\": \"REVIEWED\"\n  }\n}")
  .asString();
```

```php Documents_getDocumentsNextPrev_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.staple.io/v1/documents/nextPrev', [
  'body' => '{
  "filter": {
    "qid": 1,
    "currentId": 10,
    "status": "REVIEWED"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Documents_getDocumentsNextPrev_example
using RestSharp;

var client = new RestClient("https://api.staple.io/v1/documents/nextPrev");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"filter\": {\n    \"qid\": 1,\n    \"currentId\": 10,\n    \"status\": \"REVIEWED\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Documents_getDocumentsNextPrev_example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["filter": [
    "qid": 1,
    "currentId": 10,
    "status": "REVIEWED"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v1/documents/nextPrev")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```